| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::videostab::MotionInpainter Class Reference
Video Stabilization

`#include <opencv2/videostab/inpainting.hpp>`

Collaboration diagram for cv::videostab::MotionInpainter:

## Public Member Functions
| MotionInpainter ()
int | borderMode () const
float | distThresh () const
float | flowErrorThreshold () const
virtual void | inpaint (int idx, Mat &frame, Mat &mask) CV_OVERRIDE
Ptr< IDenseOptFlowEstimator > | optFlowEstimator () const
void | setBorderMode (int val)
void | setDistThreshold (float val)
void | setFlowErrorThreshold (float val)
void | setOptFlowEstimator (Ptr< IDenseOptFlowEstimator > val)
Public Member Functions inherited from cv::videostab::InpainterBase
| InpainterBase ()
virtual | ~InpainterBase ()
virtual const std::vector< Mat > & | frames () const
virtual MotionModel | motionModel () const
virtual const std::vector< Mat > & | motions () const
virtual int | radius () const
virtual void | setFrames (const std::vector< Mat > &val)
virtual void | setMotionModel (MotionModel val)
virtual void | setMotions (const std::vector< Mat > &val)
virtual void | setRadius (int val)
virtual void | setStabilizationMotions (const std::vector< Mat > &val)
virtual void | setStabilizedFrames (const std::vector< Mat > &val)
virtual const std::vector< Mat > & | stabilizationMotions () const
virtual const std::vector< Mat > & | stabilizedFrames () const

## Additional Inherited Members
Protected Attributes inherited from cv::videostab::InpainterBase
const std::vector< Mat > * | frames_
MotionModel | motionModel_
const std::vector< Mat > * | motions_
int | radius_
const std::vector< Mat > * | stabilizationMotions_
const std::vector< Mat > * | stabilizedFrames_

## Constructor & Destructor Documentation

## ◆ MotionInpainter()

cv::videostab::MotionInpainter::MotionInpainter | ( |  | ) |

## Member Function Documentation

## ◆ borderMode()

int cv::videostab::MotionInpainter::borderMode | ( |  | ) | const
| inline

## ◆ distThresh()

float cv::videostab::MotionInpainter::distThresh | ( |  | ) | const
| inline

## ◆ flowErrorThreshold()

float cv::videostab::MotionInpainter::flowErrorThreshold | ( |  | ) | const
| inline

## ◆ inpaint()

virtual void cv::videostab::MotionInpainter::inpaint | ( | int | idx,
|  | Mat & | frame,
|  | Mat & | mask )
| virtual

Implements cv::videostab::InpainterBase.

## ◆ optFlowEstimator()

Ptr< IDenseOptFlowEstimator > cv::videostab::MotionInpainter::optFlowEstimator | ( |  | ) | const
| inline

## ◆ setBorderMode()

void cv::videostab::MotionInpainter::setBorderMode | ( | int | val | ) |
| inline

## ◆ setDistThreshold()

void cv::videostab::MotionInpainter::setDistThreshold | ( | float | val | ) |
| inline

## ◆ setFlowErrorThreshold()

void cv::videostab::MotionInpainter::setFlowErrorThreshold | ( | float | val | ) |
| inline

## ◆ setOptFlowEstimator()

void cv::videostab::MotionInpainter::setOptFlowEstimator | ( | Ptr< IDenseOptFlowEstimator > | val | ) |
| inline

The documentation for this class was generated from the following file:

- opencv2/videostab/inpainting.hpp